Class QueryParameters

java.lang.Object
org.operaton.bpm.engine.impl.db.ListQueryParameterObject
org.operaton.bpm.webapp.neo.db.QueryParameters
Direct Known Subclasses:
AbstractRestQueryParametersDto

public abstract class QueryParameters extends ListQueryParameterObject
Typed query parameters for usage in webapp plugins
  • Field Details

    • historyEnabled

      protected boolean historyEnabled
    • maxResultsLimitEnabled

      protected boolean maxResultsLimitEnabled
  • Constructor Details

    • QueryParameters

      protected QueryParameters()
    • QueryParameters

      protected QueryParameters(int firstResult, int maxResults)
  • Method Details

    • isHistoryEnabled

      public boolean isHistoryEnabled()
    • setHistoryEnabled

      public void setHistoryEnabled(boolean historyEnabled)
    • isMaxResultsLimitEnabled

      public boolean isMaxResultsLimitEnabled()
    • disableMaxResultsLimit

      public void disableMaxResultsLimit()